<?xml version="1.0" encoding="UTF-8"?>
<xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
   <xsl:template name="test1">
      <xsl:variable name="total_time">0</xsl:variable>
      <xsl:variable name="i">1</xsl:variable>
      <xsl:if test="i &lt;= 10">
         <xsl:call-template name="d1e7">
            <xsl:with-param name="total_time" select="$total_time"/>
            <xsl:with-param name="i" select="$i"/>
         </xsl:call-template>
      </xsl:if>
   </xsl:template>
   <xsl:template name="d1e7">
      <xsl:param name="total_time"/>
      <xsl:param name="i"/>
      <xsl:variable name="before" select="clock()"/>
      <call-service name="A"/>
      <xsl:variable name="after" select="clock()"/>
      <xsl:variable name="result">
         <xsl:if test="$after - $before &gt; 1000">
            <result>fail</result>
         </xsl:if>
      </xsl:variable>
      <xsl:choose>
         <xsl:when test="$result/result">
            <xsl:copy-of select="$result/result"/>
         </xsl:when>
         <xsl:otherwise/>
      </xsl:choose>
      <xsl:choose>
         <xsl:when test="$result/result"/>
         <xsl:when test="i &lt;= 10">
            <xsl:call-template name="d1e7">
               <xsl:with-param name="total_time" select="$total_time + $after - $before"/>
               <xsl:with-param name="i" select="$i + 1"/>
            </xsl:call-template>
         </xsl:when>
         <xsl:otherwise>
            <xsl:call-template name="after_d1e7">
               <xsl:with-param name="total_time" select="$total_time + $after - $before"/>
               <xsl:with-param name="i" select="$i + 1"/>
            </xsl:call-template>
         </xsl:otherwise>
      </xsl:choose>
   </xsl:template>
   <xsl:template name="after_d1e7">
      <xsl:param name="total_time"/>
      <xsl:param name="i"/>
      <xsl:variable name="result">
         <xsl:if test="$total_time / $i &gt; 200">
            <result>fail</result>
         </xsl:if>
      </xsl:variable>
      <xsl:choose>
         <xsl:when test="$result/result">
            <xsl:copy-of select="$result/result"/>
         </xsl:when>
         <xsl:otherwise>
            <result>pass</result>
         </xsl:otherwise>
      </xsl:choose>
   </xsl:template>
</xsl:transform>